# Generated by Django 2.1.7 on 2019-04-29 11:42

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('mainApp', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Call',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.IntegerField(default=-1)),
                ('duration', models.CharField(default='00:00', max_length=7)),
            ],
        ),
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=150)),
                ('number', models.CharField(max_length=60)),
                ('lastUpdateTime', models.IntegerField(default=-1)),
            ],
        ),
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.IntegerField(default=-1)),
                ('label', models.TextField(default='', max_length=40)),
                ('text', models.TextField(default='', max_length=20000)),
                ('client', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='mainApp.Client')),
            ],
        ),
        migrations.DeleteModel(
            name='Game',
        ),
        migrations.DeleteModel(
            name='RoomStatus',
        ),
        migrations.DeleteModel(
            name='SumMode',
        ),
    ]
